"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useQueryClient = exports.VUE_REACT_QUERY_CLIENT = void 0;
const vue_1 = require("vue");
exports.VUE_REACT_QUERY_CLIENT = "VUE_REACT_QUERY_CLIENT";
function useQueryClient() {
    const queryClient = vue_1.inject(exports.VUE_REACT_QUERY_CLIENT);
    if (!queryClient) {
        throw new Error("No queryClient found in Vue context, use 'app.provide(VUE_REACT_QUERY_CLIENT, new QueryClient());' to set one in root component.");
    }
    return queryClient;
}
exports.useQueryClient = useQueryClient;
